package cbpm.rtx.utils;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.UnsupportedEncodingException;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.Unmarshaller;

public class ConverUtil {
  public static <T> String getObjectToXml(T object) throws IOException {
    ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
    try {
      JAXBContext context = JAXBContext.newInstance(new Class[] { object.getClass() });
      Marshaller marshaller = context.createMarshaller();
      marshaller.setProperty("jaxb.formatted.output", Boolean.valueOf(true));
      marshaller.setProperty("jaxb.fragment", Boolean.valueOf(false));
      marshaller.marshal(object, byteArrayOutputStream);
    } catch (JAXBException e) {
      e.printStackTrace();
    } 
    String xmlContent = new String(byteArrayOutputStream.toByteArray(), "UTF-8");
    return xmlContent;
  }
  
  public static <T> T getXmlToObject(String xmlContent, Class clazz) {
    try {
      JAXBContext context = JAXBContext.newInstance(new Class[] { clazz });
      try {
        InputStream inputStream = new ByteArrayInputStream(xmlContent.getBytes("UTF-8"));
        Unmarshaller um = context.createUnmarshaller();
        return (T)um.unmarshal(inputStream);
      } catch (UnsupportedEncodingException e) {
        e.printStackTrace();
      } 
    } catch (JAXBException e) {
      e.printStackTrace();
    } 
    return null;
  }
}
